Disable a Webhook endpoint
curl --request DELETE \
--url https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "webhook_endpoint",
"url": "<string>",
"events": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Disable a Webhook endpoint
Stops delivery to one Webhook endpoint. Requires webhooks:write.
DELETE
/
webhook_endpoints
/
{webhook_endpoint_id}
Disable a Webhook endpoint
curl --request DELETE \
--url https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/webhook_endpoints/{webhook_endpoint_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "webhook_endpoint",
"url": "<string>",
"events": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Path Parameters
A public Webhook endpoint identifier.
Maximum string length:
100Pattern:
^whe_[A-Za-z0-9_-]+$Response
The disabled Webhook endpoint
Maximum string length:
100Pattern:
^whe_[A-Za-z0-9_-]+$Allowed value:
"webhook_endpoint"Available options:
active, disabled Last modified on August 10, 2026
Was this page helpful?

